dgtst(1)

NAME
dgtst - test the consistency of source graphs in parallel

SYNOPSIS
dgtst [options] [gfile] [lfile]

DESCRIPTION
The dgtst program checks, in a parallel way, the consistency of a Scotch source graph and, in case of success, outputs some statistics regarding edge weights, vertex weights, and vertex degrees.

It produces the very same results as the gtst(1) program of the Scotch sequential distribution, but unlike this latter it can handle distributed graphs.

Source graph file gfile is either a centralized graph file, or a set of files representing fragments of a distributed graph. The resulting statistics are stored in file lfile. When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, dgtst can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma').

dgtst bases on implementations of the MPI interface to spread work across the processing elements. It is therefore not likely to be run directly, but instead through some launcher command such as mpirun.

OPTIONS

-h  Display some help.

-rpnum
    Set root process for centralized files (default is 0).

-V  Display program version and copyright.

EXAMPLE
Run dgtst on 5 processing elements to test the consistency of graph brol.grf

    $ mpirun -np 5 dgtst brol.grf
Run dgord on 5 processing elements to test the consistency of a distributed graph stored on graph fragment files brol5-0.dgr to brol5-4.dgr, and save the resulting ordering to file brol.ord (see dgscat(1) for an explanation of the '%p' and '%r' sequences in names of distributed graph fragments).

    $ mpirun -np 5 dgtst brol%p-%r.dgr brol.ord

SEE ALSO
dgscat(1), gtst(1), dgord(1).

PT-Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>